import {Component, Event, EventEmitter, h, Prop} from '@stencil/core';
import {MonobankFooterMenuInterface} from "../../../../../index";

@Component({
  tag: 's-cnt-monobank-footer-menu',
  styleUrl: 's-cnt-monobank-footer-menu.css',
  shadow: false,
  scoped: true,
})
export class SCntMonobankFooterMenu {
  /**
   * Меню футера
   */
  @Prop() footerMenuItems: MonobankFooterMenuInterface[];

  /**
   * Клик по пунктам меню футера
   */
  @Event() clickOnFooterMenuItem: EventEmitter;

  render() {
    return <FooterColumnFunctionalComponent array={this.footerMenuItems} />;
  }
}

const FooterColumnFunctionalComponent = props => {
  return props.array.map(item => {
    return <s-cnt-monobank-footer-menu-column footerMenuItems={item} />;
  });
};
