import { Component, EventEmitter, Event, h, Prop } from '@stencil/core';
import { MonobankFooterSmallText } from '../../../../../index';

@Component({
  tag: 's-cnt-monobank-footer-small-text',
  styleUrl: 's-cnt-monobank-footer-small-text.css',
  shadow: false,
  scoped: true,
})
export class SCntMonobankFooterSmallText {
  /**
   * Маленький текст в футере
   */
  @Prop() footerSmallText: MonobankFooterSmallText;

  /**
   * Клик по красной ссылке в футере
   */
  @Event() clickOnSmallTextLink: EventEmitter;

  render() {
    return (
      <div class="footer-small-text">
        {this.footerSmallText.text}&ensp;
        {
          this.footerSmallText.link &&
          <a onClick={event => this.clickOnSmallTextLinkHandler(event)}>
            {this.footerSmallText.link}
          </a>
        }
      </div>
    );
  }

  /**
   *
   */
  public clickOnSmallTextLinkHandler(event) {
    this.clickOnSmallTextLink.emit(event);
  }
}
