import {Component, Event, EventEmitter, h, Prop} from '@stencil/core';
import {MonobankLangListInterface, MonobankMainMenuInterface, MonobankTopMenuListInterface} from "../../index";

@Component({
  tag: 's-cnt-monobank-header',
  styleUrl: 's-cnt-monobank-header.css',
  shadow: false,
  scoped: true
})
export class SCntMonobankHeader {
  /**
   * Данные для главного меню
   */
  @Prop() mainMenu: MonobankMainMenuInterface;

  /**
   * Данные для верхнего меню
   */
  @Prop() topMenuList: MonobankTopMenuListInterface[];

  /**
   * Список языков
   */
  @Prop() langList: MonobankLangListInterface[];

  /**
   * Клик по пунктам мобильного меню
   */
  @Event() clickOnMobileMenuItem: EventEmitter;

  /**
   * Клик по пунктам главного меню
   */
  @Event() clickOnMainMenuItem: EventEmitter;

  /**
   * Клик по пунктам мобильного меню
   */
  @Event() clickOnTopMenuItem: EventEmitter;

  /**
   * Клик по языка селектора
   */
  @Event() clickOnLangListItem: EventEmitter;

  /**
   * Клик по пунктам мобильного меню
   */
  @Event() clickOnDropdownMenuItem: EventEmitter;

  render() {
    return (
      <div class="header-section">
        <s-cnt-monobank-top-menu langList={this.langList} topMenuList={this.topMenuList}/>
        <s-cnt-monobank-main-menu langList={this.langList} mainMenu={this.mainMenu}/>
      </div>
  );
  }

}
