import {Component, ComponentInterface, h, Prop} from '@stencil/core';
import {MonoBankAuthAppLink} from "./res/interface/common.interface";

@Component({
  tag: 's-monobank-apps-demo',
  styleUrl: 's-monobank-apps-demo.css',
  shadow: false,
  scoped: true
})
export class SMonobankAppsDemo implements ComponentInterface {
  /**
   *
   */
  @Prop()authAppLink: MonoBankAuthAppLink;

  render() {
    return (
      <div>
        <div class='auth-app-link-wrapper'>
          <h1>
            {this.authAppLink.authAppTitle}
          </h1>
          <p>
            {this.authAppLink.authAppSubtitle}
          </p>
          <div class='apps-links'>
            <AppsLinks
              arr={this.authAppLink.apps}
            ></AppsLinks>
          </div>
        </div>
        <div class='app-demo-img'
             style={{backgroundImage: "url(" + this.authAppLink.appDemoImg + ")"}}>

        </div>
      </div>
    );
  }

}

/*
* компонентная функция для вывода картинок-иконок в product-presentation-img
 */
const AppsLinks = (props) => {
  return props.arr.map((item) => {
    return (
      <div class={appsClass(props.arr.length)}>
        <div class='app-link-icon'
             style={{backgroundImage: "url(" + item.storeIcon + ")"}}>

        </div>
        <div class='app-link-market-name'>
          <div class='app-link-market-name-title'>
            {item.storeTitle}
          </div>
          <div class='app-market-name'>
            {item.storeName}
          </div>
        </div>
      </div>
    );

    function appsClass(length) {
      if (length > 1) {
        return 'store-link-wrap mr-3'
      } else {
        return 'store-link-wrap'
      }
    }
  })
}
