import {Component, ComponentInterface, h, Prop, State} from '@stencil/core';
import {MonoBankAuthSidebarForm} from "./res/interface/common.interface";

@Component({
  tag: 's-monobank-auth-sidebar-form',
  styleUrl: 's-monobank-auth-sidebar-form.css',
  shadow: false,
  scoped: true
})
export class SMonobankAuthSidebarForm implements ComponentInterface {
  /**
   *
   */
  @Prop() logInForm: MonoBankAuthSidebarForm;

  /**
   *
   */
  @State() codeConfirmation: boolean;

  render() {
    return (
      <div>
        {
          this.codeConfirmation ? (
            <s-monobank-code-confirmation
              logInForm={this.logInForm.codeConfirmation}
              codeConfirmation={this.codeConfirmation}
              onUpdateNumber={() => this.updateNumber()}
            ></s-monobank-code-confirmation>
          ) : (
            <s-monobank-auth-form
              logInForm={this.logInForm.logInForm}
              codeConfirmation={this.codeConfirmation}
              onSendNumber={() => this.sendNumber()}
            ></s-monobank-auth-form>
          )
        }
      </div>

    );
  }

  /**
   * меняет стейт возвращая к форме
   * */
  public updateNumber() {
    this.codeConfirmation = false;
  }

  /**
   *
   * */
  public sendNumber() {
    this.codeConfirmation = true;
  }
}
