import {Component, h, Prop} from '@stencil/core';
import {extensionDepositInterface} from "../../../../../index";

@Component({
  tag: 's-monobank-deposit-banner-right-image',
  styleUrl: 's-monobank-deposit-banner-right-image.css',
  shadow: false,
  scoped: true,
})
export class SMonobankDepositBannerRightImage {

  /**
   *
   * */
  @Prop() extensionDeposit: extensionDepositInterface;

  render() {
    return (
      <div class="container">
        <div class="row">
          <div class="col">
            <div class="banner-wrapper">
              <div class="banner-header">
                {/*<div class="banner-title">{this.extensionDeposit.title}*/}
                {/*  <img src={this.extensionDeposit.titleIcon} alt=""/>*/}
                {/*</div>*/}
              </div>
              <div class="banner-content">
                <div class="banner-left">
                  <div class="title">{this.extensionDeposit.subtitle}</div>
                  {/*<div class="subtitle">{this.extensionDeposit.description}</div>*/}
                  <ul class="deposit-list">
                    <DepositStep steps={this.extensionDeposit.stepDepositItems}></DepositStep>
                  </ul>

                </div>
                <div class="banner-right">
                  <div class="right-img"></div>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
    );
  }

}

/**
 * Шаги офорпления депозита
 * */

const DepositStep = (props) => {
  return props.steps.map(item => {
    return (
      <li class="deposit-list__item">
        <div class="icon">
          <span class="icon-text">
            <i class={item.icon}></i>
          </span>
        </div>
        <div class="text">{item.desc}</div>
      </li>
    )
  })
}
