import { Component, h, Prop } from '@stencil/core';
import { IntroductionInterface } from '../../../../../index';

@Component({
  tag: 's-monobank-deposit-left-image',
  styleUrl: 's-monobank-deposit-left-image.css',
  shadow: false,
  scoped: true,
})
export class SMonobankDepositLeftImage {
  /**
   * данные для внесения депозита
   * */
  @Prop() introduction: IntroductionInterface;

  render() {
    return (
      <div class="container">
        <div class="row">
          <div class="col">
            <div class="banner-wrapper">
              <div class="content">
                <div class="left">
                  <div class="banner-img" style={{ backgroundImage: `url(${this.introduction.backgroundImage})` }}></div>
                </div>
                <div class="right">
                  <div class="title">{this.introduction.title}</div>
                  {this.introduction.subtitle
                    ? <div class="subtitle" >{this.introduction.subtitle}</div>
                    : '' }
                  <ul class="deposit-list">
                    <IntroductionStep steps={this.introduction.stepIntroductionItems}></IntroductionStep>
                  </ul>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
    );
  }
}

/**
 * Шаги офорпления депозита
 * */

const IntroductionStep = props => {
  return props.steps.map(item => {
    return (
      <li class="deposit-list__item">
        <div class="icon">
          <span class="icon-text">
            <i class={item.icon}></i>
          </span>
        </div>
        <div class="text">{item.desc}</div>
      </li>
    );
  });
};
