import { Component, h, State } from '@stencil/core';

@Component({
  tag: 's-monobank-calculator-installment',
  styleUrl: 's-monobank-calculator-installment.css',
  shadow: false,
  scoped: true,
})
export class SMonobankCalculatorInstallment {
  /**
   *
   * */
  @State() openedBackdrop: boolean = false;

  /**
   *
   * */
  @State() openedDropdownList: boolean = false;

  /**
   * dropdownTag
   * */
  public dropdownListTag: HTMLElement;

  /**
   *
   * */
  public backdropDropdownTag: HTMLElement;

  /**
   * сумма рассрочки
   **/
  public cashTag: HTMLInputElement;

  /**
   * количество платежей
   * */
  public amountOfPayment: HTMLInputElement;

  /**
   * количество платежей
   * */
  @State() countsPayment: number = 3;

  /**
   * Ежемесячный платеж
   * */
  @State() monthlyPayment: number = 0;

  /**
   * Общая стоимость кредита
   * */
  @State() totalLoanCost: number = 0;

  /**
   * Общие затраты
   * */
  @State() totalCosts: number = 0;

  /**
   * Эффективная ставка
   * */
  @State() effectiveRate: number = 40.32;

  /**
   *  Данные с инпута Сумма
   * */
  @State() mainCash: number = 1000;

  render() {
    return (
      <div class="calculator-wrapper">
        <div class="calculator-block-wrapper">
          <div class="calculator-block-hint-wrapper">
            <div class="installment-link">
              <i class="far fa-file-pdf"></i> Существенные характеристики услуги (Согласно 141 постановлению НБУ)
            </div>
          </div>
          <div class="calculator-block">
            <div class="calculator-left">
              <div class="calculator-left-title">
                Калькулятор <br />
                рассрочки
                <picture>
                  <img src="https://www.monobank.ua/resources/0.1.28.0-1599837001000/img/emj/money-with-wings_1f4b8.webp" alt="" />
                </picture>
              </div>
              <div class="calculator--form">
                <div class="calculator-form-item">
                  <div class="calculator-input--wrapper">
                    <label class="label-el calculator-input calculator-input-range calculator-input--white calculator-input--with-border">
                      <div class="value-block">
                        <div class="calculator-label">Сумма</div>
                        {/*<div class="calculator-value">2 500</div>*/}
                      </div>

                      <div class="calculator-input-range--wrapper">
                        <input
                          class="text-installment-input"
                          type="number"
                          step="1000"
                          min="1 000"
                          max="100000"
                          value={this.mainCash}
                          onInput={() => this.cashInstallment(this.cashTag)}
                          ref={el => (this.cashTag = el)}
                        />
                      </div>
                    </label>
                  </div>
                </div>
                <div class="calculator-form-item">
                  <div class="calculator-input--wrapper">
                    <label class="label-el calculator-input calculator-input-range calculator-input--white calculator-input--with-border">
                      <div class="value-block">
                        <div class="calculator-label">Количество платежей</div>
                        <div class="calculator-value">{this.countsPayment}</div>
                      </div>
                      <div class="calculator-input-range--wrapper">
                        <input
                          class="range"
                          type="range"
                          step="3"
                          min="3"
                          max="36"
                          value="3"
                          onInput={() => this.amountCountPayment(this.amountOfPayment)}
                          ref={el => (this.amountOfPayment = el)}
                        />
                      </div>
                      <div class="marks">
                        <div class="mark-start">3 платежа</div>
                        <div class="mark-end">24 платежа</div>
                      </div>
                    </label>
                  </div>
                </div>
                <div class="calculator-form-item calendar">
                  <div class="calculator-input calculator-input-dropdown calculator-input--white calculator-input--with-border">
                    <div class="calculator-input-replacer">
                      <div class="value-block">
                        <div class="calculator-label">Дата оформления</div>
                        <div class="calculator-value">01.05.20</div>
                      </div>
                    </div>
                    <div class="calculator-input-icon">
                      <div class="calculator--icon--dropdown">
                        <i class="far fa-calendar"></i>
                      </div>
                    </div>
                  </div>
                </div>
              </div>
            </div>
            <div class="calculator-right">
              <div class="calculator-right-title">
                Общие затраты{' '}
                <picture>
                  <img src="https://www.monobank.ua/resources/0.1.28.0-1599837001000/img/emj/rocket_1f680.webp" alt="" />
                </picture>
              </div>
              <div class="calculator-right-value">
                {this.totalCosts} <span class="price-value">₽</span>
              </div>
              <div class="calculator--info--item">
                <div class="calculator--info--item-key">Ежемесячный платеж</div>
                <div class="calculator--info--item-value">
                  <div class="calculator--number-and-currency">
                    <span class="calculator--number">{this.monthlyPayment}</span>
                    <span class="calculator--currency">₽</span>
                  </div>
                </div>
              </div>
              <div class="calculator--info--item">
                <div class="calculator--info--item-key">Дата внесения первого платежа</div>
                <div class="calculator--info--item-value">
                  <div class="calculator--number-and-currency">
                    <span class="calculator--number">До 30.06.20</span>
                    {/*<span class="calculator--currency" >₽</span>*/}
                  </div>
                </div>
              </div>
              <div class="calculator--info--item">
                <div class="calculator--info--item-key"> Общая стоимость кредита</div>
                <div class="calculator--info--item-value">
                  <div class="calculator--number-and-currency">
                    <span class="calculator--number">{this.totalLoanCost}</span>
                    <span class="calculator--currency">₽</span>
                  </div>
                </div>
              </div>
              <div class="calculator--info--item">
                <div class="calculator--info--item-key">Эффективная ставка</div>
                <div class="calculator--info--item-value">
                  <div class="calculator--number-and-currency">
                    <span class="calculator--number">{this.effectiveRate}</span>
                    <span class="calculator--currency">%</span>
                  </div>
                </div>
              </div>
            </div>
          </div>
          <div class="calculator-block-hint-wrapper">Расчет приблизительный и носит информационный характер</div>
        </div>
      </div>
    );
  }

  /**
   *
   * */
  public closeBackdropHandler(event) {
    if (event.target === this.backdropDropdownTag) {
      this.openedDropdownList = false;
      this.openedBackdrop = false;
    }
  }

  /**
   * клик на выпадающий лист
   **/
  public clickOnDropdownListHandler(event) {
    if (event.target !== this.backdropDropdownTag) {
      this.openedDropdownList = true;
      this.openedBackdrop = true;
    }
    if (event.target.id === 'black-cart') {
      console.log('клик по карте black-cart', event.target.id);
      this.openedDropdownList = false;
      this.openedBackdrop = false;
    } else if (event.target.id === 'platinum') {
      console.log('клик по карте платинум', event.target.id);
      this.openedDropdownList = false;
      this.openedBackdrop = false;
    } else if (event.target.id === 'iron-cart') {
      console.log('клик по карте iron-cart', event.target.id);
      this.openedDropdownList = false;
      this.openedBackdrop = false;
    }
  }

  /**
   * отслеживаем состояние суммы кредита
   * */
  public cashInstallment(cash) {
    this.mainCash = cash;
    let value = Number(cash.value);
    this.monthlyPayment = value - 2300;
    this.totalLoanCost = value + 2300;
    this.totalCosts = this.totalLoanCost + this.monthlyPayment;
  }

  /**
   * отслеживаем состояние суммы кредита
   * */
  public amountCountPayment(count) {
    let months = Number(count.value);
    this.countsPayment = months;
    this.monthlyPayment = months + 32;
    this.totalLoanCost = months + 3300;
    this.effectiveRate = months + 13.5;
    this.totalCosts = this.totalLoanCost + this.effectiveRate + 2400;
  }
}
