import { Component, h, Prop } from '@stencil/core';
import { installmentBannerInterface } from '../../../../../index';

@Component({
  tag: 's-monobanl-installment-banner',
  styleUrl: 's-monobanl-installment-banner.css',
  shadow: false,
  scoped: true,
})
export class SMonobanlInstallmentBanner {
  /**
   *
   * */
  @Prop() installmentBanner: installmentBannerInterface;

  render() {
    return (
      <div class="container-fluid">
        <div class="row">
          <div class="col">
            <div class="banner-wrapper">
              <div class="banner-block">
                <div class="main-layout">
                  <div class="banner-left">
                    <div class="banner-left-title">{this.installmentBanner.title}</div>
                    <div class="banner-left-subtitle">{this.installmentBanner.subtitle}</div>
                  </div>
                  <div class="banner-right" style={{ backgroundImage: `url(${this.installmentBanner.bannerRightBackground})` }}>
                    <div class="floating-icons">
                      <div class="floating-icon1" style={{ backgroundImage: `url(${this.installmentBanner.img1})` }}></div>
                      <div class="floating-icon2" style={{ backgroundImage: `url(${this.installmentBanner.img2})` }}></div>
                      <div class="floating-icon3" style={{ backgroundImage: `url(${this.installmentBanner.img3})` }}></div>
                      <div class="floating-icon4" style={{ backgroundImage: `url(${this.installmentBanner.img4})` }}></div>
                      <div class="floating-icon5" style={{ backgroundImage: `url(${this.installmentBanner.img5})` }}></div>
                    </div>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
    );
  }
}
