import { Component, EventEmitter, h, Prop, Event } from '@stencil/core';

@Component({
  tag: 's-monobank-modal-callback',
  styleUrl: 's-monobank-modal-callback.css',
  shadow: false,
  scoped: true,
})
export class SMonobankModalCallback {
  /**
   * show modal form
   * */
  @Prop() openModal: boolean;

  /**
   *
   * */
  @Event() clickOnCloseModalForm: EventEmitter<void>;

  /**
   *
   * */
  public backgroundModalFormTag: HTMLElement;

  /**
   *
   * */
  public nameTag: HTMLInputElement;

  /**
   *
   * */
  public mailTag: HTMLInputElement;

  /**
   *
   * */
  public phoneTag: HTMLInputElement;

  /**
   *
   * */
  public siteTag: HTMLInputElement;

  render() {
    return (
      <div>
        <div class={this.openModal ? 'drawer-backdrop opened ' : 'drawer-backdrop'}></div>
        <div
          class={this.openModal ? 'drawer-footer-modal opened' : 'drawer-footer-modal'}
          onClick={event => this.closeModalFormHandler(event)}
          ref={el => (this.backgroundModalFormTag = el)}
        >
          <div class="drawer-content">
            <button class="close-modal-form" onClick={() => this.closeModalFormButton()}>
              <i class="fas fa-times"></i>
            </button>
            <div class="wrapper-content">
              <div class="modal-content">
                <div class="modal-header">
                  <div class="modal-header-title">Заказать обратный звонок</div>
                </div>
                <form action="#" class="form-modal">
                  <label class="text-input">
                    <div class="container">
                      <input type="text" name="name" placeholder="Имя" ref={el => (this.nameTag = el)} />
                      <span class=" error-default">👉Обязательное поле</span>
                    </div>
                  </label>
                  <label class="email-input">
                    <div class="container">
                      <input type="text" name="email" placeholder="Email" ref={el => (this.mailTag = el)} />
                      <span class=" error-default">👉Обязательное поле</span>
                    </div>
                  </label>
                  <label class="phone-input">
                    <div class="container">
                      <input type="text" name="phone" pattern="\d [0-9]	" placeholder="Телефон" ref={el => (this.phoneTag = el)} />
                      <span class=" error-default">👉Обязательное поле</span>
                    </div>
                  </label>
                  <label class="text-input">
                    <div class="container">
                      <input type="text" name="site" placeholder="Ссылка на сайта" ref={el => (this.siteTag = el)} />
                      <span class=" error-default">👉Обязательное поле</span>
                    </div>
                  </label>
                  <a class="button" onClick={() => this.clickOnCallbackBtnHandler()}>
                    Заказать
                  </a>
                </form>
              </div>
            </div>
          </div>
        </div>
      </div>
    );
  }

  /**
   * close modal form
   * */
  public closeModalFormHandler(event) {
    if (this.backgroundModalFormTag === event.target) {
      this.clickOnCloseModalForm.emit();
    }
  }

  /**
   * click on close btn
   * */
  public closeModalFormButton() {
    console.log('closeModalFormHandler 3');
    this.clickOnCloseModalForm.emit();
  }

  /**
   *
   * */
  public clickOnCallbackBtnHandler() {
    const inputs = document.querySelectorAll('input');

    inputs.forEach(item => {
      if (item.value === '') {
        item.style.border = '1px solid red';
      } else {
        item.style.border = 'none';
      }
    });
  }
}
